Page MenuHome

Crash when using EEVEE and Intel HD 4000
Closed, ArchivedPublic

Description

System Information
Operating system: Windows 64 bit
Graphics card: cpu

Blender Version
Broken: 2.80 beta ; blender-2.80-606223f6a61-win64 downloaded on 07/12/2018

Short description of error

Exact steps for others to reproduce the error
Blender 2.80 beta first start.

Blender Crashes after first opened and clicking on shading tab in windows 64bit

Details

Type
Bug

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

It crashes in the driver, so without the full backtrace it's a bit hard to debug. :/ @Germano Cavalcante (mano-wii) do you have the same GPU?

Edit: Sorry didn't see brecht's reply :/ So yes must have been fixed by the time.

I can not reproduce this bug but I can confirm that Intel HD 4000 really is problematic.
One of the biggest problems I could notice involves creating shaders in a different glcontext.
For example, when a program is created in a different context, then deleted and another program with the same name is created and used, an unexpected crash occurs.

It may be a good idea to make the Deferred Shader Compilation optional so the user has a way to work around this problem.

That driver version is from 2016, you could try installing the latest:
https://downloadcenter.intel.com/download/28164/Intel-Graphics-Driver-for-Windows-15-33-

I updated the driver but the problem remained

Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :↓, Uniform 'grid_block' not found!
Warning: Pass :↓, Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : ■, Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'light_block' not found!
Warning: Pass : , Uniform 'shadow_block' not found!
Warning: Pass :  , Uniform 'grid_block' not found!
Warning: Pass :  , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'grid_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'ba238133262' not found!
Warning: Pass : , Uniform 'probe_block' not found!
Warning: Pass : , Uniform 'planar_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
Warning: Pass : , Uniform 'common_block' not found!
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x000007FED3F77D07
Module : C:\Windows\system32\ig7icd64.dll

The common factor here may be the use of Windows 7/8 rather than Windows 10?

I have Win10 on USB.

Same machine, no error =)

Both 10 and 7 here are tweaked.

I'll try manually updating my driver(s)

Can you still reproduce the issue in the newest Blender version?

david (c_rex) added a comment.EditedMar 7 2019, 10:25 PM

crash w/ old driver

update via windows, eevee works! (win 7)

Unknown Object (User) removed a subscriber: Unknown Object (User).Mar 8 2019, 10:41 AM

Still reproducable in the beta build as of the time of writing (blender-2.80.0-git.a0f2923fd821-windows64) on Windows 10 1803. Still crashes.

I'm also appending the output of Blender under --debug-gpu and --debug-gpu-force-workarounds

System specifications:

CPU: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
GPU: Intel(R) HD Graphics 4000
MEM: 8037 MB

I'd be happy to provide more information if necessary.

Crash is still present in blender-2.80.0-git.0bbff8a71138-windows64. Same OS as before: Windows 10 1803 17134.523, the same goes for the GPU driver.

Appending the logs provided by the new helper batch files:

@Pavel Duong (vignette), try installing the latest drivers (15.33.47.5059), your version (10.18.10.5059) is quite old.
https://downloadcenter.intel.com/product/81499/Intel-HD-Graphics-4000

@Pavel Duong (vignette), try installing the latest drivers (15.33.47.5059), your version (10.18.10.5059) is quite old.
https://downloadcenter.intel.com/product/81499/Intel-HD-Graphics-4000

It seems I'm already on the latest version though...?

(On the left is the ReadMe taken from the installation of the latest driver)

But just to make sure the driver I had was indeed the latest, I installed the latest one from Intel's site: nothing has changed, still crashes with EXCEPTION_ACCESS_VIOLATION.

Heh, well... do i have a story. I was running 9.x which i could repro the issue on, just updated to the latest on the intel site ((15.33.47.5059) which also installed 10.18.10.5059 for me, which is odd, but could still repro the crash, did a debug build, to see wtf, and the crash seems to have gone away, even the buildbot build is fine now... sooo....... yeahh.....

@LazyDodo (LazyDodo), maybe installing the older driver again will let you repro the crash again?

It would be helpful if one developer could repro the crash and we can get a backtrace and try possible fixes.

Dont Want (McLP) added a comment.EditedMar 22 2019, 3:39 PM

Had the same problem, updated my drivers and now it works but it is lagging. Did not have the problem in an older build of blender (specifically 779860d34e26). I will it try with the old drivers again as soon as I can download them (parts of my notebook vendor's page are down). If it reproduces then, I can follow instructions for debugging (as I have no experience with C except that is not easy to compile on windows).

I've tried to attach a debugger to the Blender in hopes that it'd provide some valuable information.

@Brecht Van Lommel (brecht), I downgraded to 8.x which doesn't start at all due to missing core profiles, upgraded back to 9.x which now gobbled up a full core and 16G of ram and just locked up before the main UI came up, upgraded back to 15.33 which still lists 10.18.10.5059 and all is good again.

@Pavel Duong (vignette) can you get a callstack? click on this tab

then click in the callstack window, hit ctrl-a to select all,and hit ctrl-c to copy it to the clip board. then paste it in here, preferably in a code block ( the < / > sign on the message editor toolbar)

@LazyDodo (LazyDodo)

Callstack:

 	ig7icd64.dll!00007ff84b29fe8a()	Unknown
 	ig7icd64.dll!00007ff84b10d234()	Unknown
 	ig7icd64.dll!00007ff84b2e3745()	Unknown
 	ig7icd64.dll!00007ff84b132555()	Unknown
 	ig7icd64.dll!00007ff84b343af8()	Unknown
 	ig7icd64.dll!00007ff84b343e09()	Unknown
 	ig7icd64.dll!00007ff84b345e73()	Unknown
>	blender.exe!GPU_batch_draw_range_ex(GPUBatch * batch, int v_first, int v_count, bool force_instance) Line 634	C
 	blender.exe!draw_geometry_execute_ex(DRWShadingGroup * shgroup, GPUBatch * geom, unsigned int start, unsigned int count, bool draw_instance) Line 877	C
 	blender.exe!draw_geometry_execute(DRWShadingGroup * shgroup, GPUBatch * geom) Line 883	C
 	blender.exe!draw_shgroup(DRWShadingGroup * shgroup, DRWState pass_state) Line 1246	C
 	blender.exe!drw_draw_pass_ex(DRWPass * pass, DRWShadingGroup * start_group, DRWShadingGroup * end_group) Line 1322	C
 	blender.exe!DRW_draw_pass(DRWPass * pass) Line 1361	C
 	blender.exe!eevee_draw_background(void * vedata) Line 272	C
 	blender.exe!drw_engines_draw_background() Line 1081	C
 	blender.exe!DRW_draw_render_loop_ex(Depsgraph * depsgraph, RenderEngineType * engine_type, ARegion * ar, View3D * v3d, GPUViewport * viewport, const bContext * evil_C) Line 1539	C
 	blender.exe!DRW_draw_view(const bContext * C) Line 1437	C
 	blender.exe!view3d_draw_view(const bContext * C, ARegion * ar) Line 1333	C
 	blender.exe!view3d_main_region_draw(const bContext * C, ARegion * ar) Line 1355	C
 	blender.exe!ED_region_do_draw(bContext * C, ARegion * ar) Line 512	C
 	blender.exe!wm_draw_window_offscreen(bContext * C, wmWindow * win, bool stereo) Line 574	C
 	blender.exe!wm_draw_window(bContext * C, wmWindow * win) Line 708	C
 	blender.exe!wm_draw_update(bContext * C) Line 861	C
 	blender.exe!WM_main(bContext * C) Line 425	C
 	blender.exe!main(int argc, const unsigned char * * UNUSED_argv_c) Line 507	C
 	[External Code]

Callstack with source paths:

ig7icd64.dll!00007ff84b29fe8a()
ig7icd64.dll!00007ff84b10d234()
ig7icd64.dll!00007ff84b2e3745()
ig7icd64.dll!00007ff84b132555()
ig7icd64.dll!00007ff84b343af8()
ig7icd64.dll!00007ff84b343e09()
ig7icd64.dll!00007ff84b345e73()
blender.exe!GPU_batch_draw_range_ex(GPUBatch * batch, int v_first, int v_count, bool force_instance) Line 634
	at m:\_blender\blender\source\blender\gpu\intern\gpu_batch.c(634)
blender.exe!draw_geometry_execute_ex(DRWShadingGroup * shgroup, GPUBatch * geom, unsigned int start, unsigned int count, bool draw_instance) Line 877
	at m:\_blender\blender\source\blender\draw\intern\draw_manager_exec.c(877)
blender.exe!draw_geometry_execute(DRWShadingGroup * shgroup, GPUBatch * geom) Line 883
	at m:\_blender\blender\source\blender\draw\intern\draw_manager_exec.c(883)
blender.exe!draw_shgroup(DRWShadingGroup * shgroup, DRWState pass_state) Line 1246
	at m:\_blender\blender\source\blender\draw\intern\draw_manager_exec.c(1246)
blender.exe!drw_draw_pass_ex(DRWPass * pass, DRWShadingGroup * start_group, DRWShadingGroup * end_group) Line 1322
	at m:\_blender\blender\source\blender\draw\intern\draw_manager_exec.c(1322)
blender.exe!DRW_draw_pass(DRWPass * pass) Line 1361
	at m:\_blender\blender\source\blender\draw\intern\draw_manager_exec.c(1361)
blender.exe!eevee_draw_background(void * vedata) Line 272
	at m:\_blender\blender\source\blender\draw\engines\eevee\eevee_engine.c(272)
blender.exe!drw_engines_draw_background() Line 1081
	at m:\_blender\blender\source\blender\draw\intern\draw_manager.c(1081)
blender.exe!DRW_draw_render_loop_ex(Depsgraph * depsgraph, RenderEngineType * engine_type, ARegion * ar, View3D * v3d, GPUViewport * viewport, const bContext * evil_C) Line 1539
	at m:\_blender\blender\source\blender\draw\intern\draw_manager.c(1539)
blender.exe!DRW_draw_view(const bContext * C) Line 1437
	at m:\_blender\blender\source\blender\draw\intern\draw_manager.c(1437)
blender.exe!view3d_draw_view(const bContext * C, ARegion * ar) Line 1333
	at m:\_blender\blender\source\blender\editors\space_view3d\view3d_draw.c(1333)
blender.exe!view3d_main_region_draw(const bContext * C, ARegion * ar) Line 1355
	at m:\_blender\blender\source\blender\editors\space_view3d\view3d_draw.c(1355)
blender.exe!ED_region_do_draw(bContext * C, ARegion * ar) Line 512
	at m:\_blender\blender\source\blender\editors\screen\area.c(512)
blender.exe!wm_draw_window_offscreen(bContext * C, wmWindow * win, bool stereo) Line 574
	at m:\_blender\blender\source\blender\windowmanager\intern\wm_draw.c(574)
blender.exe!wm_draw_window(bContext * C, wmWindow * win) Line 708
	at m:\_blender\blender\source\blender\windowmanager\intern\wm_draw.c(708)
blender.exe!wm_draw_update(bContext * C) Line 861
	at m:\_blender\blender\source\blender\windowmanager\intern\wm_draw.c(861)
blender.exe!WM_main(bContext * C) Line 425
	at m:\_blender\blender\source\blender\windowmanager\intern\wm.c(425)
blender.exe!main(int argc, const unsigned char * * UNUSED_argv_c) Line 507
	at m:\_blender\blender\source\creator\creator.c(507)
[External Code]

Also the exception thrown:

Exception thrown at 0x00007FF84B29FE8A (ig7icd64.dll) in blender.exe: 0xC0000005: Access violation reading location 0x0000000000000000. occurred

It's crashing somewhere in the drawing of the background, but it's hard to say why from the backtrace and difficult to try to fix remotely. It may be something in the specific OpenGL state or shader and not the way the crashing function is called.

We have ordered a CPU with a HD 4000 here at the Blender Institute, so hopefully we can then reproduce and investigate it ourselves.

if you need some more reference for the driver versions:

10.18.10.5059 (intel original) laggs
10.18.10.4425 (lenovo copy) freezes

i am using lenovo thinkpad x230 laptop

15.33.43.64. seems to be equivalent to 10.18.10.

Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Confirmed, High.Mar 25 2019, 4:36 PM

Not confirmed here yet but marking as high priority given the number of reports.

hello i have the similar problem here with eevee i use blender on linux it renders in viewport correctly but when i press render button it hangs on 0% forever and my whole system almost freezes ,,, core i7 4790k with gtx 970

A fix for T59014: Black 3D / Corrupted viewport with Intel HD and Windows 8.1 / Windows 7 was committed.

If we're lucky it also helps for this crash, but it may well be a different issue. Can someone test the latest build?
https://builder.blender.org/download/

We installed an Intel HD 4000 card here at the Blender Institute for testing, but could not reproduce this crash on either Windows 7 or Windows 10. Old drivers on Windows 10 result in a crash on startup (not when activating Eevee as in this report), but latest drivers worked fine.

Possible differences still:

  • We tested on a desktop computer. Does anyone have this issue on a desktop or is it only laptops?
  • We tested Windows 10 1809 and not 1803. Does anyone still have this issue with Windows 1809?
  • We also did not test Windows 8.1 yet.
  • We did not test 32 bit Windows, only 64 bit.

I have the same GPU, but I could never reproduce the crash by following the steps described in the report.
However (maybe it's another bug) if you edit the shader for 1 minute (garbage collector time), blender crashes.
Laptop, Windows 10 1803

I just tested with blender-2.80-cc73d59ad580-win32

On the Fujitsu q584 (tablet) with Windows 8.1 32-bit (Baytrail based on HD4000)
Blender crashes on load (the last build that I know works on it is 2019-1-7 blender-2.80.0-git.91a155833e59-windows32 )

blender_debug_log


blender_debug_gpu


blender_debug_gpu_glitchworkaround


Tested with blender-2.80.0-git.d2d84132ddf9-windows64.

Lenovo E430 (Laptop) with i5-3230M and HD4000 running Windows 10 1803. Also appending a video of my video to invoke a crash. Basically I am just modifying the material/switching textures until I crash, which is guaranteed on this specific setup.

Video:

Logs:

blender_debug_gpu


blender_debug_gpu_glitchworkaround


blender_debug_log

Ok, there seem to be at least 3 different issues here:

Eevee crash still on win7 (laptop), older driver .. build 75f551facaf0-windows64

@Brecth Van Lommel, the problem is that the AMD GPU is always running the software, like I have my pc in high performance and it runs and, the problem is not with the GC, I am not that dumb to ask the same if it was running on Intel HD, cycles is performing absolutely fine and fast. This is some problem with the software or sth else, but rest assured, amd is running the software.

Ok, there seem to be at least 3 different issues here:

The first one is my problem, and also I have found something.
When you want to change materials just switch to cycles and change it. Then you switch to Eevee, and it works fine with that material, but as soon as you want to change if while operating in Eevee, it crashes.
I am going to make a video about the error and post a link here maybe.

@SIDDHARTH CHATURVEDI (Infinix), ok, let's discuss this in the original report then because AMD bugs would be different.

Found my solution
1- uninstalled windows
2- formatted my whole HDD
3- installed new windows
4- Downloaded all the drivers from the net
5- installed python
6- download latest blender 2.8
And yes, it is up and running.

I don't think it is because of the one-minute garbage collector, because I just found out that you can change the garbage collector rate in the settings, so I changed it from 60 to 3600 and it doesn't seem to affect the amount of time it takes to crash using the routine I do to invoke the crash.

blender-2.80-480a09a92f7f-win64 - Windows 10 1803 and the same setup as before.

The duration of the garbage collector responsible for deleting shaders is hardcoded and can't be changed through the Blender interface.

One solution to this problem would be to delete the shaders in the same OpenGL context that they were created.

D4542 was my attempt to solve this problem. It works but I don't trust my work in multithread much.
So if any developer has a better approach, it would be welcome.

@Germano Cavalcante (mano-wii) I just tried your D4542 diff and it does appear to fix the crashes, but sometimes the shader compilation gets stuck so I do understand why you don't want to use this as the final solution.

It's quite shame that the Windows' drivers are broken whileas Blender works flawlessly on Linux.

Archive since these graphics card are not officially supported in Blender 2.80.

More information on that decision is here:
https://code.blender.org/2019/04/supported-gpus-in-blender-2-80/

We keep this bug listed in T61936: EOL GPU problems tracking report in case anyone is interested in fixing it.

There was a fix for this kind of problem committed rBce66b22c427d: Fix crash when editing shaders on Intel HD 4000., tomorrow's build will have it.

hey , just wanted to add that i have the same problem but only when i switch to cycles render
sys spec :

intel core i3-4005u cpu

intel hd graphics 4400

4gb ram